import { browser } from "protractor";
import { PreferencesPage } from "./preferences.po"
import { Navbar } from "./navbar.po";
import { ListPage } from "./list.po";
import { CalculatorPage } from "./calculator.po";

describe("ngHyd − check that results are not duplicated", () => {
    let prefPage: PreferencesPage;
    let navBar: Navbar;
    let listPage: ListPage;
    let calcPage: CalculatorPage;

    beforeEach(async () => {
        prefPage = new PreferencesPage();
        listPage = new ListPage();
        navBar = new Navbar();
        calcPage = new CalculatorPage();

        // disable evil option "empty fields on module creation"
        await prefPage.navigateTo();
        await browser.sleep(200);
        await prefPage.disableEvilEmptyFields();
        await browser.sleep(200);
    });

    it("in 'baffle fishway: setup' calculator", async () => {
        // open baffle fishway setup calculator
        await navBar.clickNewCalculatorButton();
        await listPage.clickMenuEntryForCalcType(28);
        await browser.sleep(200);

        // run calculation
        const calcButton = calcPage.getCalculateButton();
        await calcButton.click();

        // check result count
        const fixRows = calcPage.getAllFixedResultsRows();
        const nbRows = await fixRows.count();
        console.log(nbRows);
        expect(nbRows).toBe(24); // boundaries are included
    });
});
