import { ListPage } from "./list.po";
import { element, by } from "protractor";

/**
 * Show calculators list (home page)
 */
describe("ngHyd − list page", () => {
    let page: ListPage;

    beforeEach(() => {
        page = new ListPage();
    });

    it("when list is open, user should see the list of available compute nodes", async () => {
        await page.navigateTo();
        expect(page.getThemesCardsLength()).toBeGreaterThan(4);
        expect(page.getCalculatorsMenuLength()).toBeGreaterThan(8);
    });

    it("when list is open, link to doc should be well-formed (2-letter language code)", async () => {
        await page.navigateTo();
        const docLink = element(by.css("a#header-doc"));
        const href = await docLink.getAttribute("href");
        const re = new RegExp("assets/docs/[a-z]{2}/index.html");
        expect(re.test(href)).toBe(true);
    });
});
