import { ListPage } from "./list.po";
import { Navbar } from "./navbar.po";
import { browser, by, element } from "protractor";
import { CalculatorPage } from "./calculator.po";
import { PreferencesPage } from "./preferences.po";

describe("Check calculated parameter remains the same when copying a structure", () => {
    let listPage: ListPage;
    let navBar: Navbar;
    let calcPage: CalculatorPage;
    let prefPage: PreferencesPage;

    beforeAll(async () => {
        listPage = new ListPage();
        navBar = new Navbar();
        calcPage = new CalculatorPage();
        prefPage = new PreferencesPage();
    });

    beforeEach(async () => {
        // disable evil option "empty fields on module creation"
        await prefPage.navigateTo();
        await prefPage.disableEvilEmptyFields();
        await browser.sleep(200);
    });

    it("", async () => {
        // open "fish ladder: cross walls" calculator
        await navBar.clickNewCalculatorButton();
        await listPage.clickMenuEntryForCalcType(10);
        await browser.sleep(200);

        // check L in first structure calc toggle is not checked
        const L1 = calcPage.getInputById("0_L");

        // const h11 = calcPage.getInputById("0_h1");

        // set L to calculated in first structure
        await calcPage.setParamMode(L1, "cal");

        // check L calc toggle is  checked
        expect(await calcPage.inputIsInCalculatedMode(L1)).toBe(true);

        // copy 1st structure
        const copyStruct = calcPage.getCopyStructureButton();
        await copyStruct.click();

        // check L in first structure is still in "calc" state
        expect(await calcPage.inputIsInCalculatedMode(L1)).toBe(true);

        // // check L in second structure is still in "fix" state
        const L2 = calcPage.getInputById("1_L");
        expect(await calcPage.inputIsInFixedMode(L2)).toBe(true);
    });
});
