import { browser, by, element } from "protractor";
import { CalculatorPage } from "./calculator.po";
import { ListPage } from "./list.po";
import { Navbar } from "./navbar.po";
import { PreferencesPage } from "./preferences.po"

describe("check that low iteration count leads to log messages", () => {
    let listPage: ListPage;
    let prefPage: PreferencesPage;
    let navBar: Navbar;
    let calcPage: CalculatorPage;

    beforeEach(async () => {
        prefPage = new PreferencesPage();
        listPage = new ListPage();
        navBar = new Navbar();
        calcPage = new CalculatorPage();

        // disable evil option "empty fields on module creation"
        await prefPage.navigateTo();
        await browser.sleep(200);
        await prefPage.disableEvilEmptyFields();
        await browser.sleep(100);
    });

    it("", async () => {
        browser.manage().window().setPosition(2000, 30);

        // set low iteration count
        await prefPage.setIterationCount(5);

        // open predam calculator
        await navBar.clickNewCalculatorButton();
        await listPage.clickMenuEntryForCalcType(30);
        await browser.sleep(200);

        // run calculation
        const calcButton = calcPage.getCalculateButton();
        await calcButton.click();

        // check log messages presence
        expect(calcPage.hasLog()).toBe(true);
    });
});
