import { browser } from "protractor";
import { CalculatorPage } from "./calculator.po";
import { ListPage } from "./list.po";
import { Navbar } from "./navbar.po";
import { PreferencesPage } from "./preferences.po";

describe("check the select default value - ", () => {
    let prefPage: PreferencesPage;
    let listPage: ListPage;
    let calcPage: CalculatorPage;
    let navBar: Navbar;

    beforeAll(() => {
        prefPage = new PreferencesPage();
        listPage = new ListPage();
        calcPage = new CalculatorPage();
        navBar = new Navbar();
    });

    beforeEach(async () => {
        // disable evil option "empty fields on module creation"
        await prefPage.navigateTo();
        await prefPage.disableEvilEmptyFields();
        await browser.sleep(200);

        await prefPage.changeLanguage(1); // fr
        await browser.sleep(200);
    });

    it("in the 'backwater curve' calculator", async () => {
        // open backwater curve calculator
        await navBar.clickNewCalculatorButton();
        await listPage.clickMenuEntryForCalcType(4);
        await browser.sleep(200);

        // in the calculator configuration file, the default resolution method is 'Trapezes'.
        // let's check this...
        const sel = calcPage.getSelectById("select_resolution");
        const val = await calcPage.getSelectValueText(sel);
        expect(val).toBe("Intégration par trapèzes");
    });

    it("in the 'up/downstream elevations of a reach' calculator", async () => {
        // open "up/downstream elevations of a reach" calculator
        await navBar.clickNewCalculatorButton();
        await listPage.clickMenuEntryForCalcType(21);
        await browser.sleep(200);

        // in the calculator configuration file, the default section method is 'Rectangulaire'.
        // let's check this...
        const sel = calcPage.getSelectById("select_section");
        const val = await calcPage.getSelectValueText(sel);
        expect(val).toBe("Rectangulaire");
    });
});
