import { ElementFinder, browser } from "protractor";

/**
 * scroll page to make element visible
 */
export async function scrollToElement(elem: ElementFinder) {
    await browser.executeScript("arguments[0].scrollIntoView({ block: 'center' });", elem.getWebElement());
    await browser.sleep(50);
}

/**
 * scroll page to top
 */
export async function scrollPageToTop() {
    await browser.executeScript("window.scrollTo(0, 0);");
}

/**
 * execute expect() on numbers and displays a failure message
 * @param msg message in caase of failure
 * @param val value to check
 * @param expected expected value
 */
export function expectNumber(msg: string, val: number, expected: number) {
    if (val !== expected) {
        console.log(msg, "got", val, "expected", expected);
    }
    expect(val).toEqual(expected);
}
