import { ListPage } from "./list.po";
import { by, element } from "protractor";

/**
 * Check that a cancel button is present in min/max/list edition dialog
 * for variable parameters
 */
describe("ngHyd - check cancel button for variable parameters - ", () => {
    let listPage: ListPage;

    beforeAll(async () => {
        listPage = new ListPage();
    });

    it("when min/max/list values dialog opens, a cancel button should be present", async () => {
        // start page
        await listPage.navigateTo();

        // open PAB chute
        await listPage.clickMenuEntryForCalcType(12);

        // click "var" radio on Z1 parameter
        const z1btn = element(by.id("mat-button-toggle-2-button"));
        await z1btn.click();

        // cancel button presence
        const cancelbtn = element(by.id("btn-cancel"));
        expect(await cancelbtn.isPresent() && await cancelbtn.isDisplayed()).toBeTruthy();
    });
});
